Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.sit
Class SITResults

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--jm.sit.SITResults

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.awt.event.MouseListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class SITResults
extends javax.swing.JFrame
implements java.awt.event.ActionListener, java.awt.event.MouseListener

Diese Klasse realisiert einen Dialog zur Anzeige der berechneten Signal-Intensitaets-Zeit-Kurven. Die Daten werden von der Berechnungsklasse SITAnalysis uebergeben.

See Also:
  `SITAnalysis`, `SITAdjuster`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`boolean` | `okPressed`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SITResults(SITAnalysis SITdlg, ij.ImagePlus imgL, ij.ImagePlus imgR)` Der Konstruktor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Faengt durch Klicks der Maustasten oder Druecken der Eingabetaste ausgeloeste Events ab.
`void` | `exportValues()` Hier werden die Werte SIT-Kurven als Textdatei exportiert.
`void` | `mouseClicked(java.awt.event.MouseEvent evt)` Faengt durch Klicks der Maustasten ausgeloeste Events ab.
`void` | `mouseEntered(java.awt.event.MouseEvent evt)` Faengt durch Mausbewegungen ausgeloeste Events ab.
`void` | `mouseExited(java.awt.event.MouseEvent evt)` Faengt durch Mausbewegungen ausgeloeste Events ab.
`void` | `mousePressed(java.awt.event.MouseEvent evt)` Faengt durch Klicks der Maustasten ausgeloeste Events ab.
`void` | `mouseReleased(java.awt.event.MouseEvent evt)` Faengt durch Klicks der Maustasten ausgeloeste Events ab.
`void` | `paint(java.awt.Graphics g)` Ueberschreibt die paint()-Methode der Oberklasse.
`void` | `setAdjustmentRange(double min, double max)` Setzt den Wertebereich, innerhalb dem die Schwellenwerte veraendert werden koennen.
`void` | `setAverageGray(int half, int tissue, double[] data)` Setzt fuer einen bestimmten Gewebetyp die Kurvendaten fuer die Kurve des mittleren Grauwertes.
`void` | `setDevScaleFactor(double s, int tissue)` Hilfsmethode.
`void` | `setSmooth(boolean smooth)` Hilfsmethode.
`void` | `setStandardDeviation(int half, int tissue, double[] data)` Setzt fuer einen bestimmten Gewebetyp die Kurvendaten fuer die Kurve der Standardabweichung.
`void` | `setXMarks(int tissue, int marks)` Hilfsmethode.
`void` | `setXScale(int tissue, double[] data)` Hilfsmethode.
`void` | `setXScale(int tissue, int min, int max)` Hilfsmethode.
`void` | `setXText(int tissue, java.lang.String text)` Hilfsmethode.
`void` | `setYMarks(int tissue, int marks)` Hilfsmethode.
`void` | `setYScale(int tissue, double[] data)` Hilfsmethode.
`void` | `setYScale(int tissue, int min, int max)` Hilfsmethode.
`void` | `setYText(int tissue, java.lang.String text)` Hilfsmethode.
`void` | `smoothCurves(boolean smooth, int tissue)` Legt fest, ob einen Kurve der angegebenen Gewebetyps fuer die Dasstellung geglaettet werden soll.
`void` | `updateImageLabel(int half, ij.ImagePlus img)` Aktualisiert die Darstellung des Klassifizierungsbildes im Dailogfenster.
`void` | `updateMainFrame(boolean resizeable)` Zusaetzliche Initialisierung des Mainframes.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### okPressed

    public boolean okPressed

Constructor Detail

### SITResults

    public SITResults(SITAnalysis SITdlg,
                      ij.ImagePlus imgL,
                      ij.ImagePlus imgR)

  Der Konstruktor. Er bekommt eine Referenz auf die Berechnungsklasse uebergeben.

Parameters:
  `SITdlg` - die Referenz auf die Berechnungsklasse SITAnalysis
  `imgL` - das eingefaerbte Klassifizierungsbild der linken Niere.
  `imgR` - das eingefaerbte Klassifizierungsbild der rechten Niere.

Method Detail

### updateMainFrame

    public void updateMainFrame(boolean resizeable)

  Zusaetzliche Initialisierung des Mainframes. Setzt das Fenster in die Mitte des Bildschirms. Ausserdem wird ein Flag uebergeben, das angibt, ob das Fenster vom Benutzer in seiner Groesse veraendert werden darf oder nicht.

  Parameters:
    `resizeable` - true, wenn das Fenster in seiner Groesse veraendert werden darf.

### setXScale

    public void setXScale(int tissue,
                          int min,
                          int max)

  Hilfsmethode. Setzt die Min/Max-Werte der x-Achse des Koordinatensystems, in dem die SIT-Kurven angezeigt werden. Ueberladene Methode.

  Parameters:
    `tissue` - der Gewebetyp
    `min` - der minimale Wert
    `max` - der maximale Wert

### setYScale

    public void setYScale(int tissue,
                          double[] data)

  Hilfsmethode. Setzt die Min/Max-Werte der y-Achse des Koordinatensystems, in dem die SIT-Kurven angezeigt werden. Ueberladene Methode.

  Parameters:
    `tissue` - der Gewebetyp
    `data` - double-Array der Kurvenwerte. Hieraus extrahier der Methode den minimalen und maximalen Wert.

### setYScale

    public void setYScale(int tissue,
                          int min,
                          int max)

  Hilfsmethode. Setzt die Min/Max-Werte der y-Achse des Koordinatensystems, in dem die SIT-Kurven angezeigt werden. Ueberladene Methode.

  Parameters:
    `tissue` - der Gewebetyp
    `min` - der minimale Wert
    `max` - der maximale Wert

### setXScale

    public void setXScale(int tissue,
                          double[] data)

  Hilfsmethode. Setzt die Min/Max-Werte der x-Achse des Koordinatensystems, in dem die SIT-Kurven angezeigt werden. Ueberladene Methode.

  Parameters:
    `tissue` - der Gewebetyp
    `data` - double-Array der Kurvenwerte. Hieraus extrahier der Methode den minimalen und maximalen Wert.

### setYText

    public void setYText(int tissue,
                         java.lang.String text)

  Hilfsmethode. Setzt die Beschriftung der y-Achse

  Parameters:
    `tissue` - der Gewebetyp
    `text` - ein Sting mit der Beschriftung

### setXText

    public void setXText(int tissue,
                         java.lang.String text)

  Hilfsmethode. Setzt die Beschriftung der x-Achse

  Parameters:
    `tissue` - der Gewebetyp
    `text` - ein Sting mit der Beschriftung

### setXMarks

    public void setXMarks(int tissue,
                          int marks)

  Hilfsmethode. Setzt die Anzahl der dargestellten Unterteilungstriche der x-Achse

  Parameters:
    `tissue` - der Gewebetyp
    `marks` - Anzahl der Unterteilungsstriche

### setYMarks

    public void setYMarks(int tissue,
                          int marks)

  Hilfsmethode. Setzt die Anzahl der dargestellten Unterteilungstriche der x-Achse

  Parameters:
    `tissue` - der Gewebetyp
    `marks` - Anzahl der Unterteilungsstriche

### setSmooth

    public void setSmooth(boolean smooth)

  Hilfsmethode. Legt fest, ob ALLE Kurven geglaettet dargestellt werden sollen.

  Parameters:
    `smooth` - true, wenn die Kurven geglaettet werden sollen.

### setDevScaleFactor

    public void setDevScaleFactor(double s,
                                  int tissue)

  Hilfsmethode. Setzt die Skalierungsfaktor fuer die Darstellung der Standardabweichung. Wird z.Zt. nicht benutzt (konstant auf 1), damit die Darstellung der berechneten Ergebnisse nicht verfaelscht wird. Wenn nur die realtive Groesse der Abweichung (unabhaengig von den quantitativen Werten) gefragt ist, sa kann hier ein Faktor > 1 gewaehlt werden. Dies verbessert die /zusaetzliche Darstellung der Standardabweichung innerhalb der Koordinatensysteme.

  Parameters:
    `s` - der Skalierungsfaktor
    `tissue` - der Gewebetyp

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent evt)

  Faengt durch Mausbewegungen ausgeloeste Events ab.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Parameters:
    `evt` - MouseEvent, durch Bewegung des Mauszeigers verursacht

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent evt)

  Faengt durch Mausbewegungen ausgeloeste Events ab.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Parameters:
    `evt` - MouseEvent, durch Bewegung des Mauszeigers verursacht

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

  Faengt durch Klicks der Maustasten ausgeloeste Events ab.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Parameters:
    `evt` - MouseEvent, durch Mausklicks verursacht

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

  Faengt durch Klicks der Maustasten ausgeloeste Events ab.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Parameters:
    `evt` - MouseEvent, durch Mausklicks verursacht

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent evt)

  Faengt durch Klicks der Maustasten ausgeloeste Events ab.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Parameters:
    `evt` - MouseEvent, durch Mausklicks verursacht

### paint

    public void paint(java.awt.Graphics g)

  Ueberschreibt die paint()-Methode der Oberklasse. Diese wird aber als erstes hier aufgerufen, danach werden die Koordinatensysteme zur Kurvendarstellung aktualisiert. Dies ist notwendig, um die Kurvendarstellung bei Bewegungen des gesamten Dailogfenster oder Aenderungen der Groesse des Dialogfensters immer neu zeichenen zu koennen.

  Overrides:
    `paint` in class `java.awt.Container`
  Parameters:
    `g` - Graphics-Canvas, der gezeichner werden soll.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Faengt durch Klicks der Maustasten oder Druecken der Eingabetaste ausgeloeste Events ab.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `evt` - ActionEvent, durch Mausklicks oder die Eingabetaste verursacht

### setAverageGray

    public void setAverageGray(int half,
                               int tissue,
                               double[] data)

  Setzt fuer einen bestimmten Gewebetyp die Kurvendaten fuer die Kurve des mittleren Grauwertes. Die Werte der Kurve werden als Array uebergeben.

  Parameters:
    `half` - die Bildhaelfte (entsprechend linke oder rechte Niere)
    `tissue` - der Gewebetyp
    `data` - double-Array mit den Daten der Kurve

### setStandardDeviation

    public void setStandardDeviation(int half,
                                     int tissue,
                                     double[] data)

  Setzt fuer einen bestimmten Gewebetyp die Kurvendaten fuer die Kurve der Standardabweichung. Die Werte der Kurve werden als Array uebergeben.

  Parameters:
    `half` - die Bildhaelfte (entsprechend linke oder rechte Niere)
    `tissue` - der Gewebetyp
    `data` - double-Array mit den Daten der Kurve

### smoothCurves

    public void smoothCurves(boolean smooth,
                             int tissue)

  Legt fest, ob einen Kurve der angegebenen Gewebetyps fuer die Dasstellung geglaettet werden soll.

  Parameters:
    `smooth` - true, wenn die Kurve geglaettet werden soll
    `tissue` - der Gewebetyp

### exportValues

    public void exportValues()

  Hier werden die Werte SIT-Kurven als Textdatei exportiert. Der Benutzer kann in einem Speichern-Dialog den Dateinamen festlegen, danach werden die Daten in tabellarischer Form (mit TABs als Trennzeichen) in die Datei geschrieben.

### updateImageLabel

    public void updateImageLabel(int half,
                                 ij.ImagePlus img)

  Aktualisiert die Darstellung des Klassifizierungsbildes im Dailogfenster.

  Parameters:
    `half` - Die Bildhaelfte (linke=0, oder rechte=1 Niere)

### setAdjustmentRange

    public void setAdjustmentRange(double min,
                                   double max)

  Setzt den Wertebereich, innerhalb dem die Schwellenwerte veraendert werden koennen. Die Schwellenwerte werden mit 1,0 intialisiert. Der min- und max-Wert wird durch die Einstellungen im Voreinstellungs-Dialog (jm.kidney.PresetsDialog) festgelegt.

  Parameters:
    `min` - der minimal erlaubte Wert
    `max` - der maximal erlaubte Wert

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD